<?php
// show any kind or errors
error_reporting(E_ALL);
ini_set('display_errors', 1);

// include class
include_once "libs/php/dsm_facebook_photos.php";

// include & instantiate class
$dsm_facebook_photos = new DsmFacebookPhotos();

// parameters
$album_id = isset($_GET['album_id']) ? $_GET['album_id'] : die('Album ID not specified.');
$fb_page_id = isset($_GET['fb_page_id']) ? $_GET['fb_page_id'] : "221167777906963";

// set album id
$dsm_facebook_photos->album_id=$album_id;
$dsm_facebook_photos->limit=12;

// get album details
$album_details=$dsm_facebook_photos->readAlbumDetails_Dsm();

// set page title
$page_title = "{$album_details['name']}";
?>
<!DOCTYPE html>
<html lang="en">
<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title><?php echo $page_title; ?></title>

    <?php echo $dsm_facebook_photos->printCSS_DsmPhotos(); ?>

</head>
<body>

<!-- pre-load image loader -->
<img src="images/ajax-loader.gif" class="display-none" />

<div class="container">
	<div class="row">
<?php


	echo "<div class='col-md-12'>";

	echo "<div class='page-header'>";
		echo "<a class='btn btn-primary' href='index.php?fb_page_id={$fb_page_id}' style='color:#fff;'>";
            echo "<i class='fa fa-chevron-circle-left'></i> Back to albums";
        echo "</a>";
		echo "<h2>{$album_details['name']}</h2>";

	echo "<p style='color:#888;'>";
echo "<span class='album-numbers' title='{$album_details['photos_count']} Photos'>{$album_details['photos_count']} <i class='fa fa-picture-o'></i></span>";
echo "<span class='album-numbers' title='{$album_details['likes_count']} Likes'>{$album_details['likes_count']} <i class='fa fa-thumbs-o-up'></i></span>";
echo "<span class='album-numbers' title='{$album_details['comments_count']} Comments'>{$album_details['comments_count']} <i class='fa fa-comments-o'></i></span>";
echo "<a href='{$album_details['link']}' target='_blank' title='View album on Facebook'>";
	echo "<i class='fa fa-facebook-official'></i>";
echo "</a>";
	echo "</p>";

	echo "</div>";


	echo "<p>";
		echo "<i class='fa fa-sticky-note'></i> ";

		if(!empty($album_details['description'])){
			echo $album_details['description'];
		}

		else{
			echo "No description.";
		}
	echo "</p>";

	// https://www.facebook.com/album.php?fbid=10151885869776797&id=82945776796&aid=1073741826
	$album_link_arr=explode("=", $album_details['link']);

	$fbid=$album_link_arr[1];
	$fbid_arr=explode("&", $fbid);
	$fbid=$fbid_arr[0];

	$id=$album_link_arr[2];
	$id_arr=explode("&", $id);
	$id=$id_arr[0];

	$aid=$album_link_arr[3];
	$aid_arr=explode("&", $aid);
	$aid=$aid_arr[0];

	// https://www.facebook.com/media/set/?set=a.10151885869776797.1073741826.82945776796
	$shareable_album_link="https://www.facebook.com/media/set/?set=a.$fbid.$aid.$id";

	echo "<p class='margin-bottom-2em'>";
		echo "<span class='margin-right-1em'>";
			echo "<i class='fa fa-share-square'></i> Share Photo Album";
		echo "</span>";

		echo "<a href='https://www.facebook.com/sharer/sharer.php?u={$shareable_album_link}'
				class='btn btn-primary margin-right-1em' target='_blank'>";
			echo "<i class='fa fa-facebook'></i> Facebook";
		echo "</a>";

		echo "<a href='https://twitter.com/intent/tweet?text={$album_details['name']}&url={$shareable_album_link}'
				class='btn btn-info margin-right-1em' target='_blank'>";
			echo "<i class='fa fa-twitter'></i> Twitter";
		echo "</a>";

		echo "<a href='https://plus.google.com/share?url={$shareable_album_link}'
				class='btn btn-danger' target='_blank'>";
			echo "<i class='fa fa-google'></i> Google";
		echo "</a>";
	echo "</p>";

	echo "</div>"; // end row

	// include_once "notes_photos.php";

    $obj=$dsm_facebook_photos->readPhotos_Dsm($album_id);

	$first_load=true;
	include_once "photos_template.php";

	echo "<div id='last_item_loader'></div>";

    echo "<div class='col-md-12'>";
          echo "<button class='btn btn-primary' id='load_more_photos'>Load more photos...</button>";
    echo "</div>";
?>
	</div>
</div>

<?php echo $dsm_facebook_photos->printJavaScript_DsmPhotos(); ?>

</body>
</html>
